## gnome-shell 43.9

=== meson_options.txt ===
option('extensions_tool',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions CLI tool'
)

option('extensions_app',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions GUI application'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

option('soup2',
  type: 'boolean',
  value: false,
  description: 'Use Soup 2.4 instead of Soup 3. Must be in sync with libgweather'
)

=== debian/changelog ===
gnome-shell (43.9-0+deb12u2) bookworm-security; urgency=high

  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 22:13:19 +0100

gnome-shell (43.9-0+deb12u1) bookworm; urgency=medium

  * d/control.in, d/gbp.conf: Use debian/bookworm branch
  * New upstream stable release 43.8
    - Allow notifications to be dismissed with backspace key in addition to
      delete key, for easier use on laptops where the delete key might be
      missing or hard to reach (gnome-shell#5789)
    - Update subprojects/gvc subproject to the same version used in 44.4
      (gnome-shell#6842)
      + Fix duplicate devices shown when reconnecting to PulseAudio
      + Fix possible use-after-free crashes on PulseAudio/Pipewire restart
      + Improve choice of default icons
      + Performance improvements
    - Avoid sliders in quick settings (volume, etc.) being reported to
      accessibility tools as their own parent object (gnome-shell#6686)
    - Better compatibility with Debian 12's version of ibus
      (gnome-shell#6405)
    - Report focus events to ibus when using Wayland (gnome-shell#6415)
    - In the "looking glass" debug interface, cope with objects that
      cannot be converted to string
    - When showing weather, avoid getting meaningless location names like
      "WiFi" or "GeoIP" from GeoClue >= 2.7
    - Improve GNOME Shell app grid performance by avoiding repainting
      monitors other than the one it is displayed on (gnome-shell#6819)
    - Align scrolled viewports to the pixel grid to avoid jitter visible
      during scrolling (gnome-shell#6835)
    - Support translated strings in more files
    - Upstream CI adjustments not relevant to Debian
    - All other changes were already in 43.7-1 or 43.7-2
  * New upstream stable release 43.9
    - Avoid exposing window previews on lock screen via keyboard shortcuts
      (CVE-2023-43090, gnome-shell#6990; previously fixed for bookworm via
      patches in 43.6-1~deb12u2)
    - Improve handling of latched vs. locked modes in on-screen keyboard
      (gnome-shell#5763, also fixed in 44.5)
    - Reverse slider direction in RTL locales
      (gnome-shell#5107, also fixed in 44.5)
    - Add missing environment variables required to launch ibus-daemon
      (gnome-shell#6998, also fixed in 44.5)
    - Translation updates
  * d/patches: Drop patches that were included in the new upstream releases
  * d/patches: Update to upstream gnome-43 branch commit 43.9-1-g3b921ba0c
    - d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
      Improve performance for most full-screen applications by ensuring
      that a fast-path for them stays enabled when it should be.
      (mutter#2994 upstream; also fixed in 44.5-2)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Oct 2023 09:50:35 +0100

gnome-shell (43.7-2) unstable; urgency=medium

  * Team upload
  * d/p/main-Leak-the-GJS-context-and-ShellGlobal.patch:
    Add patch from Fedora to skip final cleanup during exit.
    This has been implicated in various crashes during exit, which cause
    gnome-shell to disable extensions during the next startup. Leaking some
    memory at this point does not matter since the process is exiting anyway.
    The crashes during exit are believed to have been fixed in 44.beta, but
    those changes are too intrusive to be suitable for a backport.
    (Closes: #1038972)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 10:46:44 +0100

gnome-shell (43.7-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Apply hotspot translation to mouse cursor while using magnifier,
      fixing an offset between the visble pointer position and the actual
      pointer (gnome-shell#4584, also fixed in 44.3)
    - Don't log an error when AccountsService signals a change while
      parental controls are disabled globally
      (gnome-shell#6749, also fixed in 44.3)
    - Keep rounded corners on the overview's view of the desktop, even
      after the background image changes
      (gnome-shell#4125, also fixed in 44.3)
  * d/patches: Update to upstream gnome-43 branch commit 43.7-1-g0d51f199e
    - Translation update: fa
  * d/gbp.conf, d/control.in: Use debian/trixie branch

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 10:33:35 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream,
               asciidoc-base,
               bash-completion,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
               gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gir1.2-upowerglib-1.0 <!nocheck>,
               gnome-control-center-dev,
               gnome-pkg-tools,
               gnome-settings-daemon-common (>= 40~) <!nocheck>,
               gobject-introspection,
               gsettings-desktop-schemas-dev (>= 42~beta),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.45),
               libedataserver1.2-dev (>= 3.45),
               libgcr-3-dev,
               libgirepository1.0-dev,
               libgjs-dev (>= 1.73.1),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev,
               libgnome-autoar-0-dev,
               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-3-dev (>= 3.35.90),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-bin,
               libgtk-3-dev,
               libgtk-4-dev,
               libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
               libjson-glib-dev,
               libmutter-11-dev (>= 43.5),
               libmutter-test-11 (>= 43.5) <!nocheck>,
               libnm-dev [linux-any],
               libpipewire-0.3-dev (>= 0.3.10) [linux-any],
               libpolkit-agent-1-dev,
               libpulse-dev (>= 13),
               libsecret-1-dev,
               libstartup-notification0-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.58.0),
               mutter (>= 43.5) <!nocheck>,
               pkg-config,
               sassc,
               systemd [linux-any],
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Projects/GnomeShell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bookworm
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell

Package: gnome-shell
Architecture: linux-any
Depends: gir1.2-accountsservice-1.0,
         gir1.2-adw-1,
         gir1.2-atk-1.0,
         gir1.2-atspi-2.0 (>= 2.36),
         gir1.2-gcr-3,
         gir1.2-gdesktopenums-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gdm-1.0,
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
         gir1.2-graphene-1.0 (>= 1.10.2),
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0,
         gir1.2-gtk-4.0,
         gir1.2-gweather-4.0 (>= 4.1),
         gir1.2-freedesktop,
         gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
         gir1.2-mutter-11 (>= 43.5),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-3.0,
         gir1.2-upowerglib-1.0,
         gir1.2-webkit2-4.1,
         gnome-backgrounds,
         gnome-settings-daemon (>= 40~),
         gnome-shell-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 42~beta),
         gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
         libglib2.0-bin,
         python3,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt,
            chrome-gnome-shell,
            evolution-data-server (>= 3.45),
            gdm3,
            gkbd-capplet,
            gnome-control-center (>= 1:42),
            gnome-remote-desktop,
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            power-profiles-daemon,
            switcheroo-control,
            unzip
Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
          gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2,
          gnome-shell-extension-prefs,
Breaks: gnome-shell-extension-appindicator (<< 36),
        gnome-shell-extension-dash-to-panel (<< 43),
        gnome-shell-extension-dashtodock (<< 70),
        gnome-shell-extension-desktop-icons (<< 21.04),
        gnome-shell-extension-desktop-icons-ng (<< 0.16.0~),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 27-3~),
        gnome-shell-extension-workspaces-to-dock (<< 54~),
        gnome-shell-extensions (<< 40.0~),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnome-shell (<< 3.36.1-6~)
Replaces: gnome-shell (<< 3.36.1-6~)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gir1.2-adw-1,
         gir1.2-gtk-4.0,
         gjs (>= 1.73.1),
         gnome-shell (= ${binary:Version}),
         gnome-shell-common (= ${source:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-extensions-app
Recommends: chrome-gnome-shell
Breaks: gnome-shell (<< 3.36.0-2)
Replaces: gnome-shell (<< 3.36.0-2)
Description: tool to enable / disable GNOME Shell extensions
 This package contains a tool which users who use Shell extensions can use to
 toggle them on and off, and access their preferences.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with bash_completion

CONFFLAGS =

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dnetworkmanager=true \
	-Dsoup2=false \
	-Dsystemd=true
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += -Dtests=true
else
CONFFLAGS += -Dtests=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		-Dextensions-tool:bash_completion=enabled \
		$(CONFFLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dbus-run-session xvfb-run -a dh_auto_test
endif

## gnome-shell 44.0

=== debian/changelog ===
gnome-shell (44.0-2ubuntu3) lunar; urgency=medium

  * Cherry-pick fix for installing extensions (LP: #2013073)
  * Add proposed patch to fix running gnome-shell on RISC-V (LP: #2012068)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Mar 2023 10:18:23 -0400

gnome-shell (44.0-2ubuntu2) lunar; urgency=medium

  * debian/patches: Cherry-pick more upstream fixes from stable branch
  * debian/patches: Give more priority to desktop files matching startup-wm
    class (LP: #2012645)
  * debian/patches: Do not move snap apps to GNOME apps scope (LP: #2011806)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Mar 2023 21:19:20 +0200

gnome-shell (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/patches: Reload shell theme on color scheme changes
  * debian/patches: Do not crash on st settings updates (LP: #2012021)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:41:22 +0100

gnome-shell (44.0-2) experimental; urgency=medium

  * debian/control: Bump dependency on mutter 44

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:37:22 +0100

gnome-shell (44.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes
  * debian/rules: Create a cache home folder for dconf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:20:26 +0100

gnome-shell (44~rc-1ubuntu2) lunar; urgency=medium

  * d/ubuntu-session-mods/ubuntu: Add Tiling Assistant as built-in extension
    This will ensure that if the extension is installed, it can be enabled from
    settings, without having to enable all the user extensions.
    It doesn't imply a shell dependency on it.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Mar 2023 00:17:02 +0100

gnome-shell (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining differences:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell


=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -18,8 +19,10 @@
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
-               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
+               gir1.2-gnomebg-4.0 <!nocheck>,
+               gir1.2-gnomedesktop-4.0 <!nocheck>,
                gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
+               gir1.2-nma4-1.0 [linux-any] <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
@@ -39,17 +42,17 @@
                libglib2.0-dev,
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
-               libgnome-desktop-3-dev (>= 3.35.90),
+               libgnome-desktop-4-dev (>= 40),
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-bin,
-               libgtk-3-dev,
+               libgtk-3-dev <!nocheck>,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-11-dev (>= 43.5),
-               libmutter-test-11 (>= 43.5) <!nocheck>,
+               libmutter-12-dev (>= 44.0),
+               mutter-12-tests (>= 44.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -62,7 +65,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 43.5) <!nocheck>,
+               mutter (>= 44.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -72,8 +75,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
@@ -87,36 +92,35 @@
          gir1.2-gdm-1.0,
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0,
+         gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
-         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
+         gir1.2-gnomedesktop-4.0 (>= 40),
          gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
-         gir1.2-gtk-3.0,
          gir1.2-gtk-4.0,
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-11 (>= 43.5),
+         gir1.2-mutter-12 (>= 44.0),
          gir1.2-nm-1.0 [linux-any],
-         gir1.2-nma-1.0 [linux-any],
+         gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gir1.2-webkit2-4.1,
-         gnome-backgrounds,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
-            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
             gkbd-capplet,
@@ -128,16 +132,20 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
+          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
-Breaks: gnome-shell-extension-appindicator (<< 36),
-        gnome-shell-extension-dash-to-panel (<< 43),
-        gnome-shell-extension-dashtodock (<< 70),
+          chrome-gnome-shell,
+Breaks: gnome-shell-extension-appindicator (<< 50),
+        gnome-shell-extension-dash-to-panel (<< 55),
+        gnome-shell-extension-dashtodock (<< 79),
         gnome-shell-extension-desktop-icons (<< 21.04),
-        gnome-shell-extension-desktop-icons-ng (<< 0.16.0~),
+        gnome-shell-extension-desktop-icons-ng (<< 46+really47.0.2-2),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
@@ -155,6 +163,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 22.10.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell

## gnome-shell 44.3

=== debian/changelog ===
gnome-shell (44.3-0ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Avoid exposing window previews on lock screen
    via keyboard shortcuts (CVE-2023-43090, LP: #2036746, gnome-shell#6990)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Sep 2023 08:32:31 -0400

gnome-shell (44.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2026586)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:41:10 -0400

gnome-shell (44.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2022961)
  * debian/control.in: Bump minimum mutter to 44.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jun 2023 11:03:01 -0400

gnome-shell (44.1-0ubuntu1) lunar; urgency=medium

  [ Jarred Wilson ]
  * New upstream release (LP: #2020277, LP: #1968383)
  * Drop patches applied in new release
  * Rebase patches

  [ Jeremy Bicha ]
  * Drop patch to ensure tray icons windows are shown: applied in new release
  * debian/control.in: Bump minimum mutter to 44.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 May 2023 16:33:48 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -51,8 +51,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-12-dev (>= 44.0),
-               mutter-12-tests (>= 44.0) <!nocheck>,
+               libmutter-12-dev (>= 44.2),
+               mutter-12-tests (>= 44.2) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -65,7 +65,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 44.0) <!nocheck>,
+               mutter (>= 44.2) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -77,8 +77,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/lunar
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/lunar
 
 Package: gnome-shell
 Architecture: linux-any
@@ -101,7 +101,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-12 (>= 44.0),
+         gir1.2-mutter-12 (>= 44.2),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,

=== debian/rules ===
--- 
+++ 
@@ -36,5 +36,6 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
 	dbus-run-session xvfb-run -a dh_auto_test
 endif

## gnome-shell 45~beta.1

=== debian/changelog ===
gnome-shell (45~beta.1-0ubuntu2) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu.json: Prefer light color scheme
  * debian/patches: Cherry-pick patches from upstream main branch
  * debian/control: Recommends more recent version of yaru theme

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Aug 2023 23:49:34 +0200

gnome-shell (45~beta.1-0ubuntu1) mantic; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with mutter 45 beta
  * debian/rules: Drop obsolete configure flag
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * Refresh patches
  * Drop patch to use "Favorite" instead of "Pin"

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Make desktop detection to work with ESM modules
  * debian/patches: Handle loading of multiple yaru variants again
  * debian/patches: Cherry-pick various upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:12:53 +0200

gnome-shell (44.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2026586). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:33:58 -0400

gnome-shell (44.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:32:03 -0400

gnome-shell (44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2022961). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current


=== debian/control ===
--- 
+++ 
@@ -46,13 +46,11 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-bin,
-               libgtk-3-dev <!nocheck>,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-12-dev (>= 44.2),
-               mutter-12-tests (>= 44.2) <!nocheck>,
+               libmutter-13-dev (>= 45~beta),
+               mutter-13-tests (>= 45~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -77,8 +75,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/lunar
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/lunar
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
@@ -101,7 +99,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-12 (>= 44.2),
+         gir1.2-mutter-13 (>= 45~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -109,7 +107,7 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gir1.2-webkit2-4.1,
+         gir1.2-webkit-6.0,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
@@ -163,7 +161,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 22.10.1~)
+Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsoup2=false \
 	-Dsystemd=true
 endif

## gnome-shell 45.0

=== debian/changelog ===
gnome-shell (45.0-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 commits from future 45.1:
    - Fix crash at shutdown (LP: #2036889)
    - Fix indefinite inhibition of direct scanout when closing the Overview

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 14:16:54 -0400

gnome-shell (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:22:07 -0400

gnome-shell (45.0-1) experimental; urgency=medium

  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
  * Bump minimum mutter to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:01:45 -0400

gnome-shell (45~rc-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 45 rc
  * debian/control.in: Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * debian/rules: Drop obsolete configure flag
  * Add patch to avoid using Tecla because it isn't ready yet
  * Drop patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:19:28 -0400

gnome-shell (45~rc-0ubuntu3) mantic; urgency=medium

  * Restore dark mode patch accidentally dropped when packaging 45
    (LP: #2035036)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 15:59:19 -0400

gnome-shell (45~rc-0ubuntu2) mantic; urgency=medium

  * Update magnifier sprite scaling patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Sep 2023 11:17:39 -0400

gnome-shell (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 45~rc
  * Drop cherry-picked patches applied in new release
  * Refresh patches
  * Add patch to avoid using Tecla because it isn't ready here yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:34:13 -0400

gnome-shell (44.5-1) unstable; urgency=high

  * Team upload
  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)


## gnome-shell 45.2

=== debian/changelog ===
gnome-shell (45.2-0ubuntu1.1) mantic-security; urgency=medium

  * Fix compatibility with glib2.0 security update
    - debian/patches/correct_expected_bus_name.patch: correct expected bus
      name for streams in js/dbusServices/screencast/screencastService.js.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:05:04 -0400

gnome-shell (45.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2045667)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 13:11:30 -0500

gnome-shell (45.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2043015)
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 18:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -49,8 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-13-dev (>= 45~beta),
-               mutter-13-tests (>= 45~beta) <!nocheck>,
+               libmutter-13-dev (>= 45.0),
+               mutter-13-tests (>= 45.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -63,7 +63,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 44.2) <!nocheck>,
+               mutter (>= 45.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -99,7 +99,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-13 (>= 45~beta),
+         gir1.2-mutter-13 (>= 45.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,30 @@
 	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
 	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"
 
+# Upstream test timeouts assume an otherwise unloaded system, but that
+# isn't necessarily the case for a porterbox or multiple parallel builds.
+# Keep the timeout reasonably short for architectures where interactive
+# debugging is more likely, but extend it a lot on architectures that might
+# be very slow or using qemu for buildds.
+ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
+test_timeout_multiplier = 3
+else
+test_timeout_multiplier = 20
+endif
+
+meson_test_options = --timeout-multiplier $(test_timeout_multiplier)
+
+ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+# gnome-shell on mips(64)el works on a real GPU (in practice usually an
+# AMD GPU), but crashes when using llvmpipe or softpipe, which is all that
+# is available on the buildds, so we only run the unit tests at build time
+# and skip the tests that would run the whole Shell. See discussion in
+# https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
+meson_test_options += --no-suite shell
+endif
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
-	dbus-run-session xvfb-run -a dh_auto_test
+	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
 endif
